Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/CPL_OASIS/job_run_CPL_TESTCASE
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/CPL_OASIS/job_run_CPL_TESTCASE	(revision 13229)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/CPL_OASIS/job_run_CPL_TESTCASE	(revision 13229)
@@ -0,0 +1,78 @@
+#!/bin/bash
+###################################
+## Definitions for batch system
+#SBATCH -A omr@cpu                 # Accounting information
+#SBATCH --job-name=CPL_TESTCASE    # Job name
+##SBATCH --partition=cpu_p1        # Partition Name
+#SBATCH --ntasks=29                # Total number of MPI processes
+#SBATCH --ntasks-per-node=40       # Number of MPI processes per node
+#SBATCH --hint=nomultithread       # 1  MPI process per node  (no hyperthreading)
+#SBATCH --time=00:10:00            # Maximum execution time (HH:MM:SS)
+#SBATCH --output=cpltestcase_%j    # Name of output listing file
+#SBATCH --error=cpltestcase_%j     # Name of error listing file (the same)
+###################################
+##
+## Go to submission directory
+##
+cd ${SLURM_SUBMIT_DIR}
+pwd
+CONFIG_DIR=${SLURM_SUBMIT_DIR}
+##
+## Define and create execution directory and move there
+##
+XXD=`date +%F%H%M%S`
+echo " XXD " $XXD
+mkdir -p $WORK/OUT/CPLTESTCASE/$XXD
+cd $WORK/OUT/CPLTESTCASE/$XXD
+echo "RUN directory " `pwd`
+##
+## Get input files for NEMO
+##
+DATA1DIR=$WORK/FORCING/ORCA2_ICE_PISCES_v4.0
+for file in $DATA1DIR/* 
+do
+ln -s $file . || exit 2
+done
+# Get input namelist  and xml files
+for file in $CONFIG_DIR/*namelist*_ref $CONFIG_DIR/*namelist*_cfg $CONFIG_DIR/*.xml
+do
+    cp $file . || exit 3
+done
+##
+## Get input files for TOYATM, including the namcouple file
+##
+TOYATM_DIR=$CONFIG_DIR/../../../tools/TOYATM/EXP
+for file in $TOYATM_DIR/*
+do
+    cp $file . || exit 4
+done
+##
+## Get Executables
+##
+cp $CONFIG_DIR/nemo nemo.exe  || exit 5
+cp $TOYATM_DIR/../toyatm.exe . || exit 5
+
+echo "DIR BEFORE EXEC"
+ls -l
+echo '(3) Prepare launch of the run'
+echo '----------------'
+export MPIRUN="srun --mpi=pmi2 --cpu-bind=cores -K1"
+NB_PROCS_NEMO=28
+NB_PROCS_OASIS=1
+NB_PROCS_TOYATM=1
+date  
+touch ./run_file
+echo 0-27 ./nemo.exe >>./run_file
+echo 28 ./toyatm.exe >>./run_file
+echo run_file
+cat ./run_file
+##
+## Run the CPL test case using 27 processes for nemo and 1 for toyatm
+##
+echo '(4) Run the code'
+echo '----------------'
+time srun --multi-prog ./run_file
+echo "DIR AFTER EXEC"
+ls -l
+date
+pwd
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/STATION_ASF/EXPREF/launch_sasf.sh
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/STATION_ASF/EXPREF/launch_sasf.sh	(revision 13228)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/STATION_ASF/EXPREF/launch_sasf.sh	(revision 13229)
@@ -1,78 +1,50 @@
 #!/bin/bash
 
-################################################################
-#
-# Script to launch a set of STATION_ASF simulations
-#
-# L. Brodeau, 2020
-#
-################################################################
+# NEMO directory where to fetch compiled STATION_ASF nemo.exe + setup:
+NEMO_DIR=`pwd | sed -e "s|/tests/STATION_ASF/EXPREF||g"`
 
-# What directory inside "tests" actually contains the compiled "nemo.exe" for STATION_ASF ?
+echo "Using NEMO_DIR=${NEMO_DIR}"
+
+# what directory inside "tests" actually contains the compiled test-case?
 TC_DIR="STATION_ASF2"
 
-# DATA_IN_DIR => Directory containing sea-surface + atmospheric forcings
+# => so the executable to use is:
+NEMO_EXE="${NEMO_DIR}/tests/${TC_DIR}/BLD/bin/nemo.exe"
+
+# Directory where to run the simulation:
+WORK_DIR="${HOME}/tmp/STATION_ASF"
+
+
+# FORC_DIR => Directory containing sea-surface + atmospheric forcings
 #             (get it there https://drive.google.com/file/d/1MxNvjhRHmMrL54y6RX7WIaM9-LGl--ZP/):
 if [ `hostname` = "merlat"        ]; then
-    DATA_IN_DIR="/MEDIA/data/STATION_ASF/input_data_STATION_ASF_2016-2018"
+    FORC_DIR="/MEDIA/data/STATION_ASF/input_data_STATION_ASF_2016-2018"
 elif [ `hostname` = "luitel"        ]; then
-    DATA_IN_DIR="/data/gcm_setup/STATION_ASF/input_data_STATION_ASF_2016-2018"
+    FORC_DIR="/data/gcm_setup/STATION_ASF/input_data_STATION_ASF_2016-2018"
 elif [ `hostname` = "ige-meom-cal1" ]; then
-    DATA_IN_DIR="/mnt/meom/workdir/brodeau/STATION_ASF/input_data_STATION_ASF_2016-2018"
+    FORC_DIR="/mnt/meom/workdir/brodeau/STATION_ASF/input_data_STATION_ASF_2016-2018"
 elif [ `hostname` = "salvelinus" ]; then
-    DATA_IN_DIR="/opt/data/STATION_ASF/input_data_STATION_ASF_2016-2018"
+    FORC_DIR="/opt/data/STATION_ASF/input_data_STATION_ASF_2016-2018"
 else
-    echo "Oops! We don't know `hostname` yet! Define 'DATA_IN_DIR' in the script!"; exit 
+    echo "Boo!"; exit
 fi
-
-expdir=`basename ${PWD}`; # we expect "EXPREF" or "EXP00" normally...
-
-# NEMOGCM root directory where to fetch compiled STATION_ASF nemo.exe + setup:
-NEMO_WRK_DIR=`pwd | sed -e "s|/tests/STATION_ASF/${expdir}||g"`
-
-# Directory where to run the simulation:
-PROD_DIR="${HOME}/tmp/STATION_ASF"
+#======================
+mkdir -p ${WORK_DIR}
 
 
-####### End of normal user configurable section #######
+if [ ! -f ${NEMO_EXE} ]; then echo " Mhhh, no compiled nemo.exe found into ${NEMO_DIR}/tests/STATION_ASF/BLD/bin !"; exit; fi
 
-#================================================================================
-
-# NEMO executable to use is:
-NEMO_EXE="${NEMO_WRK_DIR}/tests/${TC_DIR}/BLD/bin/nemo.exe"
-
-
-echo "###########################################################"
-echo "#        S T A T I O N   A i r  -  S e a   F l u x        #"
-echo "###########################################################"
-echo
-echo " We shall work in here: ${STATION_ASF_DIR}/"
-echo " NEMOGCM   work    depository is: ${NEMO_WRK_DIR}/"
-echo "   ==> NEMO EXE to use: ${NEMO_EXE}"
-echo " Input forcing data into: ${DATA_IN_DIR}/"
-echo " Production will be done into: ${PROD_DIR}/"
-echo
-
-mkdir -p ${PROD_DIR}
-
-if [ ! -f ${NEMO_EXE} ]; then echo " Mhhh, no compiled 'nemo.exe' found into `dirname ${NEMO_EXE}` !"; exit; fi
-
-echo
-echo " *** Using the following NEMO executable:"
-echo "  ${NEMO_EXE} "
-echo
-
-NEMO_EXPREF="${NEMO_WRK_DIR}/tests/STATION_ASF/EXPREF"
+NEMO_EXPREF="${NEMO_DIR}/tests/STATION_ASF/EXPREF"
 if [ ! -d ${NEMO_EXPREF} ]; then echo " Mhhh, no EXPREF directory ${NEMO_EXPREF} !"; exit; fi
 
-rsync -avP ${NEMO_EXE}          ${PROD_DIR}/
+rsync -avP ${NEMO_EXE}          ${WORK_DIR}/
 
 for ff in "context_nemo.xml" "domain_def_nemo.xml" "field_def_nemo-oce.xml" "file_def_nemo-oce.xml" "grid_def_nemo.xml" "iodef.xml" "namelist_ref"; do
     if [ ! -f ${NEMO_EXPREF}/${ff} ]; then echo " Mhhh, ${ff} not found into ${NEMO_EXPREF} !"; exit; fi
-    rsync -avPL ${NEMO_EXPREF}/${ff} ${PROD_DIR}/
+    rsync -avPL ${NEMO_EXPREF}/${ff} ${WORK_DIR}/
 done
 
 # Copy forcing to work directory:
-rsync -avP ${DATA_IN_DIR}/Station_PAPA_50N-145W*.nc ${PROD_DIR}/
+rsync -avP ${FORC_DIR}/Station_PAPA_50N-145W*.nc ${WORK_DIR}/
 
 for CASE in "ECMWF" "COARE3p6" "NCAR" "ECMWF-noskin" "COARE3p6-noskin"; do
@@ -86,8 +58,8 @@
     scase=`echo "${CASE}" | tr '[:upper:]' '[:lower:]'`
 
-    rm -f ${PROD_DIR}/namelist_cfg
-    rsync -avPL ${NEMO_EXPREF}/namelist_${scase}_cfg ${PROD_DIR}/namelist_cfg
+    rm -f ${WORK_DIR}/namelist_cfg
+    rsync -avPL ${NEMO_EXPREF}/namelist_${scase}_cfg ${WORK_DIR}/namelist_cfg
 
-    cd ${PROD_DIR}/
+    cd ${WORK_DIR}/
     echo
     echo "Launching NEMO !"
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/STATION_ASF/MY_SRC/step_c1d.F90
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/STATION_ASF/MY_SRC/step_c1d.F90	(revision 13228)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/STATION_ASF/MY_SRC/step_c1d.F90	(revision 13229)
@@ -78,11 +78,10 @@
       ! Control and restarts
       !<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
-      CALL stp_ctl( kstp, Nnn )
-
+      CALL stp_ctl( kstp, Nbb, Nnn, indic )
       IF( kstp == nit000 )   CALL iom_close( numror )          ! close input  ocean restart file
       IF( lrst_oce       )   CALL rst_write( kstp, Nbb, Nnn )  ! write output ocean restart file
       !
 #if defined key_iomput
-      IF( kstp == nitend .OR. nstop > 0 )   CALL xios_context_finalize()   ! needed for XIOS
+      IF( kstp == nitend .OR. indic < 0 )   CALL xios_context_finalize()   ! needed for XIOS
       !
 #endif
Index: NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/VORTEX/EXPREF/1_namelist_cfg
===================================================================
--- NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 13228)
+++ NEMO/branches/2020/dev_r12558_HPC-08_epico_Extra_Halo/tests/VORTEX/EXPREF/1_namelist_cfg	(revision 13229)
@@ -98,8 +98,6 @@
 &namagrif      !  AGRIF zoom                                            ("key_agrif")
 !-----------------------------------------------------------------------
-   ln_spc_dyn    = .true.  !  use 0 as special value for dynamics
-   rn_sponge_tra =  800.   !  coefficient for tracer   sponge layer [m2/s]
-   rn_sponge_dyn =  800.   !  coefficient for dynamics sponge layer [m2/s]
-   ln_chk_bathy  = .FALSE. !
+   rn_sponge_tra =  0.00768   !  coefficient for tracer   sponge layer []
+   rn_sponge_dyn =  0.00768   !  coefficient for dynamics sponge layer []
 /
 !!======================================================================
